Curl should depend on ca-certificates

Bug #152781 reported by Pixilarion on 2007-10-14
14
Affects Status Importance Assigned to Milestone
curl (Debian)
Fix Released
Unknown
curl (Ubuntu)
Low
Unassigned

Bug Description

Installed Curl with apt-get, but to let it work correctly, ca-certificates is sometimes required. A dependency from the package ca-certificate should be added.

Related branches

mathew (meta23) wrote :

Seconded.

Also, the curl error message references /etc/ssl/certs/ca-certificates.crt
but apt-file search /etc/ssl/certs/ca-certificates.crt doesn't locate ca-certificates as providing that file. So there may be an issue with ca-certificates and its packaging.

kripken (kripkenstein) wrote :

I agree 100% with the bug submitter and the comment above. ca-certificates should be a dependency. As it is, curl does not function, on Hardy I get

curl: (77) error setting certificate verify locations:
  CAfile: /etc/ssl/certs/ca-certificates.crt
  CApath: none

while after installing ca-certificates it works fine.

This has the side effect of making webkit not able to load https:// sites. No error is given, so this is hard to figure out (but the WebKit people told me it might be a curl issue, which led me eventually to here).

Nick Ellery (nick.ellery) wrote :
Changed in curl:
importance: Undecided → Low
status: New → Confirmed
Martin Pitt (pitti) wrote :

Please submit this to Debian, too, it makes sense there.

Martin Pitt (pitti) wrote :

I changed it to a Recommends:, which has a better semantics in Intrepid now.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package curl - 7.18.2-1ubuntu4

---------------
curl (7.18.2-1ubuntu4) intrepid; urgency=low

  * Added Recommends: on ca-certificate for curl package (LP: #152781).

 -- Nick Ellery <email address hidden> Fri, 10 Oct 2008 23:32:54 -0700

Changed in curl:
status: Confirmed → Fix Released
Changed in curl:
status: Unknown → New
Cesar Eduardo Barros (cesarb) wrote :

Sorry, but this bug has not been fixed yet.

$ apt-cache show curl
Package: curl
[...]
Version: 7.18.2-1ubuntu4
[...]
Recommends: ca-certificate

The package ca-certificate does not exist. It should instead be

Recommends: ca-certificates

Andreas Olsson (andol) wrote :

There is a debdiff which fixes this typo attached to Bug #285343.

Changed in curl (Debian):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.